%global githash d72b4a859f1f10c95d44f84d5b1d7ff7820ac644
Name:          jsonld-java-tools
Version:       0.8.0
Release:       6%{?dist}
Summary:       JSON-LD Java tools
License:       BSD
URL:           https://github.com/jsonld-java/jsonld-java-tools
Source0:       https://github.com/jsonld-java/jsonld-java-tools/archive/%{githash}/%{name}-%{githash}.tar.gz
Source1:       jsonld-java-tools.xml

BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: libxslt
BuildRequires: maven-local
BuildRequires: mvn(com.github.jsonld-java:jsonld-java)
BuildRequires: mvn(com.github.jsonld-java:jsonld-java-parent:pom:)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sf.jopt-simple:jopt-simple)
BuildRequires: mvn(org.openrdf.sesame:sesame-model)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-api)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-jsonld)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-nquads)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-ntriples)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-rdfjson)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-rdfxml)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-trig)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-trix)
BuildRequires: mvn(org.openrdf.sesame:sesame-rio-turtle)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
# Used by executable script
Requires:      mvn(log4j:log4j:1.2.17)
# Explicit requires for javapackages-tools since script
# uses /usr/share/java-utils/java-functions
Requires:      javapackages-tools

BuildArch:     noarch

%description
Tools for using JSONLD-Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}

%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :appassembler-maven-plugin

# Fix manifest entries
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin . "
<configuration>
  <archive>
    <manifest>
      <mainClass>com.github.jsonldjava.tools.Playground</mainClass>
    </manifest>
  </archive>
</configuration>"

%mvn_file :%{name} %{name}

%build

%mvn_build

xsltproc \
 --nonet --stringparam man.output.quietly 1 \
 --stringparam funcsynopsis.style ansi \
 --stringparam man.authors.section.enabled 0 \
 --stringparam man.copyright.section.enabled 0 \
 %{_datadir}/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl %{SOURCE1}
 
%install
%mvn_install

%jpackage_script com.github.jsonldjava.tools.Playground "" "" %{name}:jsonld-java:openrdf-sesame:log4j-1:slf4j/api:slf4j/log4j12:slf4j/jcl-over-slf4j:jackson-core:jackson-databind:httpcomponents/httpclient:httpcomponents/httpclient-cache:jopt-simple %{name} true

mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files -f .mfiles
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%doc README.md
%license LICENCE

%files javadoc -f .mfiles-javadoc
%license LICENCE

%changelog
* Fri Aug 31 2018 Severin Gehwolf <sgehwolf@redhat.com> - 0.8.0-6
- Add explicit requirement on javapackages-tools for launcher script.
  See RHBZ#1600426.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 10 2016 gil cattaneo <puntogil@libero.it> 0.8.0-1
- update to 0.8.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 01 2015 gil cattaneo <puntogil@libero.it> 0.7.0-1
- initial rpm
